.. _mmctl_bot:

mmctl bot
---------

Management of bots

Synopsis
~~~~~~~~


Management of bots

Options
~~~~~~~

::

  -h, --help   help for bot

Options inherited from parent commands
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

::

      --config string                path to the configuration file (default "$XDG_CONFIG_HOME/mmctl/config")
      --disable-pager                disables paged output
      --insecure-sha1-intermediate   allows to use insecure TLS protocols, such as SHA-1
      --insecure-tls-version         allows to use TLS versions 1.0 and 1.1
      --json                         the output format will be in json format
      --local                        allows communicating with the server through a unix socket
      --quiet                        prevent mmctl to generate output for the commands
      --strict                       will only run commands if the mmctl version matches the server one
      --suppress-warnings            disables printing warning messages

SEE ALSO
~~~~~~~~

* `mmctl <mmctl.rst>`_ 	 - Remote client for the Open Source, self-hosted Slack-alternative
* `mmctl bot assign <mmctl_bot_assign.rst>`_ 	 - Assign bot
* `mmctl bot create <mmctl_bot_create.rst>`_ 	 - Create bot
* `mmctl bot disable <mmctl_bot_disable.rst>`_ 	 - Disable bot
* `mmctl bot enable <mmctl_bot_enable.rst>`_ 	 - Enable bot
* `mmctl bot list <mmctl_bot_list.rst>`_ 	 - List bots
* `mmctl bot update <mmctl_bot_update.rst>`_ 	 - Update bot

